Subject: Re: Quick password question...
From: Marcos Lorenzo de Santiago <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 5 Sep 2002 11:00:11 +0200 (CEST)

On Thu, 5 Sep 2002 [email-masked] wrote:

     > On Wed, Sep 04, 2002 at 10:04:52PM -0400, Adam K Kirchhoff wrote:
     > 
     > > Here's the problem I'm having:  sshd refuses to do public key
     > > authentication when run as a Windows service.  It will only work with
     > > password authentication.  And then, only if Windows has a password for
     > > that user.  If the password is blank (as I would like to be the case on my
     > > home machine), sshd refuses to log me in with a blank password (even if
     > > sshd_config allows for blank passwords).  This isn't an issue with my work
     > > machine since I want that account to have a password.
     > > 
     > > If I run sshd from the command line, it works just as one would expect and
     > > allows for public key authentication.
     > 
     > I have a similar problem. sshd on my XP machine at work will not do public
     > key authentication when running as a service. Run it from a command prompt
     > window under the SYSTEM account and it does work!

Anyone knows what could be the "problem/feature"? Cause I got the same
problem :(. I have Windows XP but I assure (as I have tested it) that on
Windows NT Server and Workstation 4.0 won't work.

Rgrds,
m4c.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/